- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/tagName.c File Reference

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions
const char *const | tagName (int tag)
| Return name of tag from value.
int | tagValue (const char *tagstr)
| Return value of tag from name.

## Detailed Description

Definition in file tagName.c.

## Function Documentation

const char* const tagName | ( | int | tag | ) |

Return name of tag from value.

Parameters:

  | tag | tag value

Returns:
  name of tag

Definition at line 10 of file tagName.c.

References name, RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, rpmTagTable, rpmTagTableSize, and xtolower().

int tagValue | ( | const char * | tagstr | ) |

Return value of tag from name.

Parameters:

  | targstr | name of tag

Returns:
  tag value

Definition at line 53 of file tagName.c.

References headerTagTableEntry_s::name, RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, rpmTagTable, headerTagTableEntry_s::val, and xstrcasecmp().

Referenced by dbiTagsInit().